## breathe 3.0.0

=== documentation/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR     ?= build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -P -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/test.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/test"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/test"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

spelling:
	$(SPHINXBUILD) -b spelling -N $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished. The spelling files are in $(BUILDDIR)/spelling."

=== examples/specific/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 13 12:17:28 GMT 2008
#

DOXYGEN   ?= `which doxygen`
TMAKEPATH = 
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = 
MAKE      = /usr/bin/make
PERL      = /usr/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.5.7.1
INSTALL   = /tmp
INSTTOOL  = /usr/bin/install
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = 
HAVE_DOT  = /usr/bin/dot

all: typedef/xml/index.xml \
	class/xml/index.xml \
	nutshell/xml/index.xml \
	alias/xml/index.xml \
	rst/xml/index.xml \
	inline/xml/index.xml \
	members/xml/index.xml \
	c_file/xml/index.xml \
	namespacefile/xml/index.xml \
	multifilexml/xml/index.xml \
	template_class/xml/index.xml \
	template_class_non_type/xml/index.xml \
	template_function/xml/index.xml \
	userdefined/xml/index.xml \
	fixedwidthfont/xml/index.xml \
	latexmath/xml/index.xml \
	functionOverload/xml/index.xml \
	programlisting/xml/index.xml \
	image/xml/index.xml \
	auto/xml/index.xml \
	name/xml/index.xml \
	union/xml/index.xml \
	group/xml/index.xml \
	struct/xml/index.xml \
	decl_impl/xml/index.xml \
	lists/xml/index.xml
	
clean:
	rm -rf typedef class nutshell alias rst inline namespacefile c_file \
		members multifilexml userdefined fixedwidthfont latexmath functionOverload \
		programlisting image name auto union group struct decl_impl

typedef/xml/index.xml: typedef.h typedef.cfg
	$(DOXYGEN) typedef.cfg

class/xml/index.xml: class.h class.cpp class.cfg
	$(DOXYGEN) class.cfg

nutshell/xml/index.xml: nutshell.h nutshell.cfg
	$(DOXYGEN) nutshell.cfg

alias/xml/index.xml: alias.h alias.cfg
	$(DOXYGEN) alias.cfg

rst/xml/index.xml: rst.h rst.cfg
	$(DOXYGEN) rst.cfg

inline/xml/index.xml: inline.h inline.cfg
	$(DOXYGEN) inline.cfg

members/xml/index.xml: members.h members.cfg
	$(DOXYGEN) members.cfg

c_file/xml/index.xml: c_file.h c_file.cfg
	$(DOXYGEN) c_file.cfg

namespacefile/xml/index.xml: namespacefile.h namespacefile.cfg
	$(DOXYGEN) namespacefile.cfg
	
multifilexml/xml/index.xml: multifile/one/Util.h multifile/two/Util.h multifile.cfg
	$(DOXYGEN) multifile.cfg

template_class/xml/index.xml: template_class.h template_class.cfg
	$(DOXYGEN) template_class.cfg

template_class_non_type/xml/index.xml: template_class_non_type.h template_class_non_type.cfg
	$(DOXYGEN) template_class_non_type.cfg

template_function/xml/index.xml: template_function.h template_function.cfg
	$(DOXYGEN) template_function.cfg

userdefined/xml/index.xml: userdefined.h userdefined.cfg
	$(DOXYGEN) userdefined.cfg

fixedwidthfont/xml/index.xml: fixedwidthfont.h fixedwidthfont.cfg
	$(DOXYGEN) fixedwidthfont.cfg

latexmath/xml/index.xml: latexmath.h latexmath.cfg
	$(DOXYGEN) latexmath.cfg

functionOverload/xml/index.xml: functionOverload.h functionOverload.cfg
	$(DOXYGEN) functionOverload.cfg

programlisting/xml/index.xml: programlisting.h programlisting.cfg programlistinginclude.txt
	$(DOXYGEN) programlisting.cfg

image/xml/index.xml: image.h image.cfg
	$(DOXYGEN) image.cfg

auto/xml/index.xml: auto_class.h auto_function.h auto.cfg
	$(DOXYGEN) auto.cfg

name/xml/index.xml: name.h name.cfg
	$(DOXYGEN) name.cfg

lists/xml/index.xml: lists.h lists.cfg
	$(DOXYGEN) lists.cfg

union/xml/index.xml: union.h union.cfg
	$(DOXYGEN) union.cfg

group/xml/index.xml: group.h group.cfg
	$(DOXYGEN) group.cfg

struct/xml/index.xml: struct.h struct.cfg
	$(DOXYGEN) struct.cfg

decl_impl/xml/index.xml: decl_impl.h decl_impl.c decl_impl.cfg
	$(DOXYGEN) decl_impl.cfg

=== debian/changelog ===
breathe (3.0.0-2) unstable; urgency=medium

  * debian/tests/control: Add make to Depends which is needed by the tests.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Aug 2014 14:26:20 +0200

breathe (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Mangle filename.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Aug 2014 18:42:56 +0200

breathe (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Suggests: breathe-doc to python{,3}-breathe. (Closes: #743781)
    - Point Homepage to upstream repository.
  * debian/rules: Call pybuild with --test instead of --build to run tests and
    run the test for the correct Python version.
  * debian/patches:
    - undefined-names.patch: Removed, applied upstream.
    - conf.py-version.patch: Hardcode version for documentation instead of
      running git describe.
  * Fix MathJax symlinks:
    - debian/{rules,breathe-doc.links}: Link _static/mathjax to the packaged
      MathJax directory and create the appropriate symlinks in the package.
    - debian/patches/packaged-mathjax.patch: Refreshed and adopted for the new
      symlink.
  * debian/tests: Add DEP-8 tests.
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 Jun 2014 20:12:49 +0200

breathe (1.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #736990)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Feb 2014 01:35:25 +0100

## breathe 3.1.0

=== Makefile ===

all: data
	$(MAKE) -C documentation html
	
data:
	$(MAKE) -C examples/doxygen all
	$(MAKE) -C examples/tinyxml all
	$(MAKE) -C examples/specific all

distclean: clean
	$(MAKE) -C documentation clean

clean:
	$(MAKE) -C examples/doxygen $@
	$(MAKE) -C examples/tinyxml $@
	$(MAKE) -C examples/specific $@

=== examples/specific/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 13 12:17:28 GMT 2008
#

DOXYGEN   ?= `which doxygen`
TMAKEPATH = 
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = 
MAKE      = /usr/bin/make
PERL      = /usr/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.5.7.1
INSTALL   = /tmp
INSTTOOL  = /usr/bin/install
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = 
HAVE_DOT  = /usr/bin/dot

projects  = nutshell alias rst inline namespacefile c_file \
			members userdefined fixedwidthfont latexmath functionOverload \
			image name union group struct qtslots lists headings \
			template_class template_class_non_type template_function template_specialisation

special   = programlisting decl_impl multifilexml auto class typedef

xmls := $(foreach project, $(projects), $(project)/xml/index.xml)

special_xmls = $(foreach project, $(special), $(project)/xml/index.xml)

all: $(xmls) $(special_xmls)

clean:
	rm -rf $(projects) $(special)


# General pattern
# ---------------

$(xmls): %/xml/index.xml: %.cfg %.h 
	$(DOXYGEN) $<


# Special Cases
# -------------

programlisting/xml/index.xml: programlisting.h programlisting.cfg programlistinginclude.txt
	$(DOXYGEN) programlisting.cfg

decl_impl/xml/index.xml: decl_impl.h decl_impl.c decl_impl.cfg
	$(DOXYGEN) decl_impl.cfg

multifilexml/xml/index.xml: multifile/one/Util.h multifile/two/Util.h multifile.cfg
	$(DOXYGEN) multifile.cfg

auto/xml/index.xml: auto_class.h auto_function.h auto.cfg
	$(DOXYGEN) auto.cfg

class/xml/index.xml: class.h class.cpp class.cfg
	$(DOXYGEN) class.cfg

typedef/xml/index.xml: typedef.h typedef.cfg
	$(DOXYGEN) typedef.cfg

=== debian/changelog ===
breathe (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 16 Sep 2014 12:08:48 +0200

=== debian/control ===
Source: breathe
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-docutils,
 python3-docutils,
 python-sphinx,
 python3-sphinx,
 doxygen
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/breathe/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/breathe/trunk/
Homepage: http://github.com/michaeljones/breathe/
XS-Testsuite: autopkgtest

Package: python-breathe
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 doxygen
Enhances:
 python-sphinx
Suggests:
 breathe-doc
Description: Sphinx autodox support for languages other than Python (Python 2)
 Breathe provides a bridge between the Sphinx and doxygen documentation
 systems. It enables Sphinx to generate autodoc for languages other than Python
 with the help of doxygen. It also allows one to embed reStructuredText in
 doxygen markup.
 .
 This package provides the module for Python 2.

Package: python3-breathe
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 doxygen
Enhances:
 python3-sphinx
Suggests:
 breathe-doc
Description: Sphinx autodox support for languages other than Python (Python 3)
 Breathe provides a bridge between the Sphinx and doxygen documentation
 systems. It enables Sphinx to generate autodoc for languages other than Python
 with the help of doxygen. It also allows one to embed reStructuredText in
 doxygen markup.
 .
 This package provides the module for Python 3.

Package: breathe-doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
 libjs-mathjax
Section: doc
Description: Sphinx autodox support for languages other than Python (documentation)
 Breathe provides a bridge between the Sphinx and doxygen documentation
 systems. It enables Sphinx to generate autodoc for languages other than Python
 with the help of doxygen. It also allows one to embed reStructuredText in
 doxygen markup.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PY3DEF=$(shell py3versions -vd)
PYDEF=$(shell pyversions -vd)
SPHINXBUILD="/usr/share/sphinx/scripts/python{version.major}/sphinx-build"

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) distclean
	rm -rf html

override_dh_auto_build:
	dh_auto_build
	# Link mathjax in _static
	ln -s /usr/share/javascript/mathjax \
		documentation/source/_static/mathjax
	pybuild --system=custom -p $(PY3DEF) --build \
		--build-args="env PYTHONPATH={build_dir} $(MAKE) SPHINXBUILD=$(SPHINXBUILD)"
	mv documentation/build/html html

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# We test breathe by building the documention. The documentation has already
	# been built for the default Python 3 version, so we do not need to do this
	# again. We just test with the default Python 2 version here.
	pybuild --system=custom -p $(PYDEF) --test \
		--test-args="env PYTHONPATH={build_dir} $(MAKE) SPHINXBUILD=$(SPHINXBUILD)"
endif

override_dh_installdocs:
	# Do not copy mathjax to the binary package
	dh_installdocs -X_static/mathjax

override_dh_sphinxdoc:
	# dh_link creates the link for mathjax after dh_sphinxdoc, so ignore
	# MathJax.js
	dh_sphinxdoc -XMathJax.js

=== debian/tests/control ===
Tests: python2
Depends: python-breathe, python-sphinx, make
Restrictions: allow-stderr

Tests: python3
Depends: python3-breathe, python3-sphinx, make
Restrictions: allow-stderr

## breathe 4.0.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
 all: data
 	$(MAKE) -C documentation html
+	$(MAKE) -C documentation latexpdf
 	
 data:
 	$(MAKE) -C examples/doxygen all

=== examples/specific/Makefile ===
--- 
+++ 
@@ -18,10 +18,10 @@
 QTDIR     = 
 HAVE_DOT  = /usr/bin/dot
 
-projects  = nutshell alias rst inline namespacefile c_file \
+projects  = nutshell alias rst inline namespacefile c_file array \
 			members userdefined fixedwidthfont latexmath functionOverload \
-			image name union group struct qtslots lists headings \
-			template_class template_class_non_type template_function template_specialisation
+			image name union group struct qtslots lists headings links \
+			template_class template_class_non_type template_function template_specialisation enum
 
 special   = programlisting decl_impl multifilexml auto class typedef

=== debian/changelog ===
breathe (4.0.0-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:30:57 +0000

breathe (4.0.0-2) unstable; urgency=medium

  * debian/tests/control: Add texlive-latex-extra and
    texlive-fonts-recommended to test dependencies.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 May 2015 13:33:10 +0200

breathe (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/control:
    - Move to collab-maint and git.
    - Set myself as sole Maintainer.
    - Build-Depends: Add texlive-latex-extra and texlive-fonts-recommended.
  * debian/patches/conf.py-version.patch: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Apr 2015 19:11:44 +0200

breathe (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version, no changes required.
  * debian/patches: Refresh patches.
  * debian/rules: Export READTHEDOCS and TRAVIS_CI to control documentation
    build.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Nov 2014 15:16:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: breathe
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -14,10 +14,12 @@
  python3-docutils,
  python-sphinx,
  python3-sphinx,
- doxygen
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/breathe/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/breathe/trunk/
+ doxygen,
+ texlive-latex-extra,
+ texlive-fonts-recommended
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/breathe.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/breathe.git;a=summary
 Homepage: http://github.com/michaeljones/breathe/
 XS-Testsuite: autopkgtest

## breathe 4.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 
-all: data
+all: html pdf
+
+html: data
 	$(MAKE) -C documentation html
+
+pdf: data
 	$(MAKE) -C documentation latexpdf
 	
 data:
@@ -16,3 +20,14 @@
 	$(MAKE) -C examples/tinyxml $@
 	$(MAKE) -C examples/specific $@
 
+test:
+	cd tests && nosetests
+
+dev-test:
+	cd tests && PYTHONPATH=../:$(PTYONPATH) nosetests
+
+flake8:
+	flake8 breathe/*.py \
+		breathe/renderer/rst/doxygen/compound.py \
+		breathe/renderer/rst/doxygen/filter.py \
+		breathe/parser/doxygen/compound.py

=== examples/doxygen/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 13 12:17:28 GMT 2008
#

DOXYGEN   ?= `which doxygen`
TMAKEPATH = 
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = 
MAKE      = /usr/bin/make
PERL      = /usr/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.5.7.1
INSTALL   = /tmp
INSTTOOL  = /usr/bin/install
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = 
HAVE_DOT  = /usr/bin/dot

all: class/xml/index.xml \
     define/xml/index.xml \
     enum/xml/index.xml \
     file/xml/index.xml \
     func/xml/index.xml \
     page/xml/index.xml \
     relates/xml/index.xml \
     author/xml/index.xml \
     par/xml/index.xml \
     overload/xml/index.xml \
     example/xml/index.xml \
     include/xml/index.xml \
     qtstyle/xml/index.xml \
     jdstyle/xml/index.xml \
     structcmd/xml/index.xml \
     autolink/xml/index.xml \
     restypedef/xml/index.xml \
     afterdoc/xml/index.xml \
     template/xml/index.xml \
     tag/xml/index.xml \
     group/xml/index.xml \
     diagrams/xml/index.xml \
     memgrp/xml/index.xml \
     docstring/xml/index.xml \
     pyexample/xml/index.xml \
     mux/xml/index.xml \
     manual/xml/index.xml

clean:
	rm -rf  class define enum file func page relates author \
                par overload example include qtstyle jdstyle structcmd \
		autolink tag restypedef afterdoc template tag group diagrams \
		memgrp docstring pyexample mux manual

class/xml/index.xml: class.h class.cfg
	$(DOXYGEN) class.cfg

define/xml/index.xml: define.h define.cfg
	$(DOXYGEN) define.cfg

enum/xml/index.xml: enum.h enum.cfg
	$(DOXYGEN) enum.cfg

file/xml/index.xml: file.h file.cfg
	$(DOXYGEN) file.cfg

func/xml/index.xml: func.h func.cfg
	$(DOXYGEN) func.cfg

page/xml/index.xml: page.doc page.cfg
	$(DOXYGEN) page.cfg

relates/xml/index.xml: relates.cpp relates.cfg
	$(DOXYGEN) relates.cfg

author/xml/index.xml: author.cpp author.cfg
	$(DOXYGEN) author.cfg

par/xml/index.xml: par.cpp par.cfg
	$(DOXYGEN) par.cfg

overload/xml/index.xml: overload.cpp overload.cfg
	$(DOXYGEN) overload.cfg

example/xml/index.xml: example.cpp example_test.cpp example.cfg 
	$(DOXYGEN) example.cfg

include/xml/index.xml: include.cpp example_test.cpp include.cfg 
	$(DOXYGEN) include.cfg

qtstyle/xml/index.xml: qtstyle.cpp qtstyle.cfg 
	$(DOXYGEN) qtstyle.cfg

jdstyle/xml/index.xml: jdstyle.cpp jdstyle.cfg 
	$(DOXYGEN) jdstyle.cfg

structcmd/xml/index.xml: structcmd.h structcmd.cfg 
	$(DOXYGEN) structcmd.cfg

autolink/xml/index.xml: autolink.cpp autolink.cfg 
	$(DOXYGEN) autolink.cfg

tag/xml/index.xml: tag.cpp tag.cfg example/xml/index.xml
	$(DOXYGEN) tag.cfg
#	sed -e "1,1s#perl#$(PERL)#g" tag/xml/installdox >tag/xml/installdox.perl
#	cd tag/xml ; $(PERL) installdox.perl -lexample.tag@../../example/xml

restypedef/xml/index.xml: restypedef.cpp restypedef.cfg 
	$(DOXYGEN) restypedef.cfg

afterdoc/xml/index.xml: afterdoc.h afterdoc.cfg
	$(DOXYGEN) afterdoc.cfg

template/xml/index.xml: templ.cpp templ.cfg
	$(DOXYGEN) templ.cfg

group/xml/index.xml: group.cpp group.cfg
	$(DOXYGEN) group.cfg

memgrp/xml/index.xml: memgrp.cpp memgrp.cfg
	$(DOXYGEN) memgrp.cfg

pyexample/xml/index.xml: pyexample.py pyexample.cfg
	$(DOXYGEN) pyexample.cfg

mux/xml/index.xml: mux.vhdl mux.cfg
	$(DOXYGEN) mux.cfg

manual/xml/index.xml: manual.c manual.cfg
	$(DOXYGEN) manual.cfg

docstring/xml/index.xml: docstring.py docstring.cfg
	$(DOXYGEN) docstring.cfg

diagrams/xml/index.xml: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
ifneq ($(HAVE_DOT),)
	$(DOXYGEN) diagrams.cfg
endif

=== examples/specific/Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 QTDIR     = 
 HAVE_DOT  = /usr/bin/dot
 
-projects  = nutshell alias rst inline namespacefile c_file array \
+projects  = nutshell alias rst inline namespacefile c_file array c_enum \
 			members userdefined fixedwidthfont latexmath functionOverload \
-			image name union group struct qtslots lists headings links \
+			image name union group struct qtslots lists headings links parameters \
 			template_class template_class_non_type template_function template_specialisation enum
 
 special   = programlisting decl_impl multifilexml auto class typedef

=== debian/changelog ===
breathe (4.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #797142)
  * debian/control:
    - Remove XS-Autotest field.
    - Add python-six and python3-six to Build-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Aug 2015 10:52:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: breathe
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -12,6 +11,8 @@
  python3-setuptools,
  python-docutils,
  python3-docutils,
+ python-six,
+ python3-six,
  python-sphinx,
  python3-sphinx,
  doxygen,
@@ -21,7 +22,6 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/breathe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/breathe.git;a=summary
 Homepage: http://github.com/michaeljones/breathe/
-XS-Testsuite: autopkgtest
 
 Package: python-breathe
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 PY3DEF=$(shell py3versions -vd)
 PYDEF=$(shell pyversions -vd)
 SPHINXBUILD="/usr/share/sphinx/scripts/python{version.major}/sphinx-build"
+
+# Build documentation for readthedocs
+export READTHEDOCS=True
+# Do not build for Travis
+export TRAVIS_CI=False
 
 %:
 	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests: python2
Depends: python-breathe, python-sphinx, make, texlive-latex-extra, texlive-fonts-recommended
Restrictions: allow-stderr

Tests: python3
Depends: python3-breathe, python3-sphinx, make, texlive-latex-extra, texlive-fonts-recommended
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d+.*)\.tar\.gz/breathe-$1\.tar\.gz/ \
https://github.com/michaeljones/breathe/releases .*/v(\d+.*)\.tar\.gz
# The tarball on pypi is missing a bunch of files (LICENSE, all the examples),
# so we take the one from github for now.
# https://pypi.python.org/packages/source/b/breathe/breathe-(\d+.*)\.tar\.gz

## breathe 4.2.0

=== Makefile ===
--- 
+++ 
@@ -24,10 +24,12 @@
 	cd tests && nosetests
 
 dev-test:
-	cd tests && PYTHONPATH=../:$(PTYONPATH) nosetests
+	cd tests && PYTHONPATH=../:$(PYTHONPATH) nosetests
 
 flake8:
 	flake8 breathe/*.py \
-		breathe/renderer/rst/doxygen/compound.py \
-		breathe/renderer/rst/doxygen/filter.py \
-		breathe/parser/doxygen/compound.py
+		breathe/directive/*.py \
+		breathe/finder/*.py \
+		breathe/renderer/compound.py \
+		breathe/renderer/filter.py \
+		breathe/parser/compound.py

=== examples/specific/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 QTDIR     = 
 HAVE_DOT  = /usr/bin/dot
 
-projects  = nutshell alias rst inline namespacefile c_file array c_enum \
+projects  = nutshell alias rst inline namespacefile c_file array c_enum inheritance \
 			members userdefined fixedwidthfont latexmath functionOverload \
 			image name union group struct qtslots lists headings links parameters \
 			template_class template_class_non_type template_function template_specialisation enum

=== debian/changelog ===
breathe (4.2.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add texlive-generic-extra to autopkgtest Depends (Closes: #830103)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Jul 2016 11:56:28 +0200

breathe (4.2.0-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version.
    - Add texlive-generic-extra to Build-Depends.
  * debian/patches/sphinx-1.4.patch: Apply upstream patch to fix Sphinx 1.4
    compatibility (Closes: #827804)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Jun 2016 20:22:48 +0200

breathe (4.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Make output reproducible. (Closes: #809186)
  * debian/copyright: Update copyright years.
  * debian/{*.install,rules,*.prerm,*.postinst}: Install breathe-apidoc using
    alternatives system.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Mar 2016 13:29:32 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
  python-sphinx,
  python3-sphinx,
  doxygen,
+ texlive-generic-extra,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/breathe.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/breathe.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/breathe.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/breathe.git
 Homepage: http://github.com/michaeljones/breathe/
 
 Package: python-breathe

## breathe 4.4.0

=== examples/specific/Makefile ===
--- 
+++ 
@@ -20,8 +20,9 @@
 
 projects  = nutshell alias rst inline namespacefile c_file array c_enum inheritance \
 			members userdefined fixedwidthfont latexmath functionOverload \
-			image name union group struct qtslots lists headings links parameters \
-			template_class template_class_non_type template_function template_specialisation enum
+			image name union group struct struct_function qtslots lists \
+			headings links parameters template_class template_class_non_type \
+			template_function template_specialisation enum
 
 special   = programlisting decl_impl multifilexml auto class typedef

=== debian/changelog ===
breathe (4.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Nov 2016 19:49:19 +0100

breathe (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump B-D on sphinx to >= 1.4.
    - Update Description.
  * debian/patches/sphinx-1.4.patch: Removed, included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Nov 2016 21:04:27 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  python3-docutils,
  python-six,
  python3-six,
- python-sphinx,
- python3-sphinx,
+ python-sphinx (>= 1.4),
+ python3-sphinx (>= 1.4),
  doxygen,
  texlive-generic-extra,
  texlive-latex-extra,
@@ -34,7 +34,7 @@
  python-sphinx
 Suggests:
  breathe-doc
-Description: Sphinx autodox support for languages other than Python (Python 2)
+Description: Sphinx autodox support for languages with doxygen support (Python 2)
  Breathe provides a bridge between the Sphinx and doxygen documentation
  systems. It enables Sphinx to generate autodoc for languages other than Python
  with the help of doxygen. It also allows one to embed reStructuredText in
@@ -52,7 +52,7 @@
  python3-sphinx
 Suggests:
  breathe-doc
-Description: Sphinx autodox support for languages other than Python (Python 3)
+Description: Sphinx autodox support for languages with doxygen support (Python 3)
  Breathe provides a bridge between the Sphinx and doxygen documentation
  systems. It enables Sphinx to generate autodoc for languages other than Python
  with the help of doxygen. It also allows one to embed reStructuredText in
@@ -67,7 +67,7 @@
  ${misc:Depends},
  libjs-mathjax
 Section: doc
-Description: Sphinx autodox support for languages other than Python (documentation)
+Description: Sphinx autodox support for languages with doxygen support (documentation)
  Breathe provides a bridge between the Sphinx and doxygen documentation
  systems. It enables Sphinx to generate autodoc for languages other than Python
  with the help of doxygen. It also allows one to embed reStructuredText in

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,10 @@
 		--test-args="env PYTHONPATH={build_dir} $(MAKE) SPHINXBUILD=$(SPHINXBUILD)"
 endif
 
+override_dh_auto_install:
+	dh_auto_install -- \
+		--after-install='mv debian/tmp/usr/bin/breathe-apidoc debian/tmp/usr/bin/python{version.major}-breathe-apidoc'
+
 override_dh_installdocs:
 	# Do not copy mathjax to the binary package
 	dh_installdocs -X_static/mathjax

=== debian/tests/control ===
Tests: python2
Depends: python-breathe, python-sphinx, make, texlive-generic-extra, texlive-latex-extra, texlive-fonts-recommended
Restrictions: allow-stderr

Tests: python3
Depends: python3-breathe, python3-sphinx, make, texlive-generic-extra, texlive-latex-extra, texlive-fonts-recommended
Restrictions: allow-stderr

## breathe 4.7.2

=== debian/changelog ===
breathe (4.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Aug 2017 13:59:54 +0200

breathe (4.7.0-2) unstable; urgency=medium

  * debian/{control,compat}: Bump debhelper compat to 10.
  * debian/control: Add B-D on latexmk. (Closes: #872156)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 15 Aug 2017 10:41:06 +0200

breathe (4.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Aug 2017 00:02:12 +0200

breathe (4.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Feb 2017 17:16:56 +0100

breathe (4.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Feb 2017 22:44:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all,
  python3-all,
@@ -16,10 +16,11 @@
  python-sphinx (>= 1.4),
  python3-sphinx (>= 1.4),
  doxygen,
+ latexmk,
  texlive-generic-extra,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/breathe.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/breathe.git
 Homepage: http://github.com/michaeljones/breathe/

## breathe 4.7.3

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,6 @@
 	flake8 breathe/*.py \
 		breathe/directive/*.py \
 		breathe/finder/*.py \
-		breathe/renderer/compound.py \
+		breathe/renderer/sphinxrenderer.py \
 		breathe/renderer/filter.py \
 		breathe/parser/compound.py

=== documentation/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR     ?= build
+DEBUG        ?= -P
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
@@ -15,7 +16,7 @@
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -P -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = $(DEBUG) -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

=== examples/doxygen/Makefile ===
--- 
+++ 
@@ -44,13 +44,14 @@
      docstring/xml/index.xml \
      pyexample/xml/index.xml \
      mux/xml/index.xml \
-     manual/xml/index.xml
+     manual/xml/index.xml \
+     interface/xml/index.xml
 
 clean:
 	rm -rf  class define enum file func page relates author \
                 par overload example include qtstyle jdstyle structcmd \
 		autolink tag restypedef afterdoc template tag group diagrams \
-		memgrp docstring pyexample mux manual
+		memgrp docstring pyexample mux manual interface
 
 class/xml/index.xml: class.h class.cfg
 	$(DOXYGEN) class.cfg
@@ -132,6 +133,9 @@
 docstring/xml/index.xml: docstring.py docstring.cfg
 	$(DOXYGEN) docstring.cfg
 
+interface/xml/index.xml: interface.h interface.cfg
+	$(DOXYGEN) interface.cfg
+
 diagrams/xml/index.xml: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
 ifneq ($(HAVE_DOT),)
 	$(DOXYGEN) diagrams.cfg

=== examples/specific/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 			members userdefined fixedwidthfont latexmath functionOverload \
 			image name union group struct struct_function qtslots lists \
 			headings links parameters template_class template_class_non_type \
-			template_function template_specialisation enum
+			template_function template_specialisation enum c_typedef define interface
 
 special   = programlisting decl_impl multifilexml auto class typedef
 
@@ -63,4 +63,3 @@
 
 typedef/xml/index.xml: typedef.h typedef.cfg
 	$(DOXYGEN) typedef.cfg
-

=== debian/changelog ===
breathe (4.7.3-1) unstable; urgency=medium

  * New upstream release.
    - Use CPPEnumeratorObject provided by Sphinx. (Closes: #877021)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Oct 2017 21:36:05 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  texlive-generic-extra,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/breathe.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/breathe.git
 Homepage: http://github.com/michaeljones/breathe/

=== debian/tests/control ===
Tests: python2
Depends: python-breathe, python-sphinx, make, texlive-generic-extra, texlive-latex-extra, texlive-fonts-recommended, latexmk
Restrictions: allow-stderr

Tests: python3
Depends: python3-breathe, python3-sphinx, make, texlive-generic-extra, texlive-latex-extra, texlive-fonts-recommended, latexmk
Restrictions: allow-stderr

## breathe 4.10.0

=== debian/changelog ===
breathe (4.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Set Rules-Requires-Root: no.
    - Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Aug 2018 12:51:17 +0200

breathe (4.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Mark breathe-doc as Multi-Arch: foreign.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Jun 2018 21:53:11 +0200

breathe (4.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 May 2018 22:55:32 +0200

breathe (4.7.3-2) unstable; urgency=medium

  * debian/control:
    - Move to salsa.d.o.
    - Bump Standards-Version.
  * debian/:
    - Bump debhelper compat level to 11.
    - Use HTTPS.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 11 May 2018 09:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python3-all,
@@ -20,10 +20,11 @@
  texlive-generic-extra,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/breathe.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/breathe.git
-Homepage: http://github.com/michaeljones/breathe/
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/sramacher/breathe.git
+Vcs-Browser: https://salsa.debian.org/sramacher/breathe
+Homepage: https://github.com/michaeljones/breathe/
+Rules-Requires-Root: no
 
 Package: python-breathe
 Architecture: all
@@ -63,6 +64,7 @@
 
 Package: breathe-doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends},

## breathe 4.11.1

=== debian/changelog ===
breathe (4.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Dec 2018 23:13:51 +0100

breathe (4.11.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Nov 2018 18:16:56 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  texlive-generic-extra,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/sramacher/breathe.git
 Vcs-Browser: https://salsa.debian.org/sramacher/breathe
 Homepage: https://github.com/michaeljones/breathe/

## breathe 4.12.0

=== examples/specific/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 projects  = nutshell alias rst inline namespacefile c_file array c_enum inheritance \
 			members userdefined fixedwidthfont latexmath functionOverload \
-			image name union group struct struct_function qtslots lists \
+			image name union group struct struct_function qtsignalsandslots lists \
 			headings links parameters template_class template_class_non_type \
 			template_function template_specialisation enum c_typedef define interface

=== debian/changelog ===
breathe (4.12.0-3) unstable; urgency=medium

  * debian/: Remove python-breathe. (Closes: #936236)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Aug 2019 20:06:27 +0200

breathe (4.12.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/: Replace texlive-generic-extra with texlive-plain-generic (Closes:
    #933280)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Aug 2019 23:03:31 +0200

breathe (4.12.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/: Bump debhelper compat to 12.
  * debian/control:
     - Bump Standards-Version.
     - Bump sphinx to >= 1.8.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Apr 2019 21:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,46 +3,23 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
  python3-all,
- python-setuptools,
  python3-setuptools,
- python-docutils,
  python3-docutils,
- python-six,
  python3-six,
- python-sphinx (>= 1.4),
- python3-sphinx (>= 1.4),
+ python3-sphinx (>= 1.8),
  doxygen,
  latexmk,
- texlive-generic-extra,
+ texlive-plain-generic,
  texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/sramacher/breathe.git
 Vcs-Browser: https://salsa.debian.org/sramacher/breathe
 Homepage: https://github.com/michaeljones/breathe/
 Rules-Requires-Root: no
-
-Package: python-breathe
-Architecture: all
-Depends:
- ${python:Depends},
- ${misc:Depends},
- doxygen
-Enhances:
- python-sphinx
-Suggests:
- breathe-doc
-Description: Sphinx autodox support for languages with doxygen support (Python 2)
- Breathe provides a bridge between the Sphinx and doxygen documentation
- systems. It enables Sphinx to generate autodoc for languages other than Python
- with the help of doxygen. It also allows one to embed reStructuredText in
- doxygen markup.
- .
- This package provides the module for Python 2.
 
 Package: python3-breathe
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 PY3DEF=$(shell py3versions -vd)
-PYDEF=$(shell pyversions -vd)
 SPHINXBUILD="/usr/share/sphinx/scripts/python{version.major}/sphinx-build"
 
 # Build documentation for readthedocs
@@ -10,7 +9,7 @@
 export TRAVIS_CI=False
 
 %:
-	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -27,13 +26,9 @@
 	mv documentation/build/html html
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	# We test breathe by building the documention. The documentation has already
 	# been built for the default Python 3 version, so we do not need to do this
-	# again. We just test with the default Python 2 version here.
-	pybuild --system=custom -p $(PYDEF) --test \
-		--test-args="env PYTHONPATH={build_dir} $(MAKE) SPHINXBUILD=$(SPHINXBUILD)"
-endif
+	# again.
 
 override_dh_auto_install:
 	dh_auto_install -- \

=== debian/tests/control ===
Tests: python3
Depends: python3, python3-breathe, python3-sphinx, make, texlive-plain-generic, texlive-latex-extra, texlive-fonts-recommended, latexmk
Restrictions: allow-stderr
